[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: pending dpkg 1.10 release



On Sat, Jul 28, 2001 at 12:59:28PM +1000, Anthony Towns wrote:
> dselect Pre-Depends: dpkg
> dpkg Replaces: dselect
> ? That could be made to work...

What could also probably be made to work is something like:

	Package: dselect
	Priority: important
	Section: base
	Replaces: dpkg

	Package: dpkg
	Recommends: dselect

Possibly with some preinst trickery like Ben's libc6 trickery to ensure
dselect doesn't get broken during the upgrade. Which would allow you to
remove dselect whenever you wanted.

An obvious problem with adding a package that dpkg depends on is that it
will completely break all current boot-floppies; and splitting dselect
into a new package will break the install when it gets to tasksel.

It's really way too late to be considering this.

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

``_Any_ increase in interface difficulty, in exchange for a benefit you
  do not understand, cannot perceive, or don't care about, is too much.''
                      -- John S. Novak, III (The Humblest Man on the Net)

Attachment: pgp6ZX7EIxFa2.pgp
Description: PGP signature


Reply to: